summaryrefslogtreecommitdiff
path: root/meta/gdb-uninstalled-guile.in
diff options
context:
space:
mode:
Diffstat (limited to 'meta/gdb-uninstalled-guile.in')
-rw-r--r--meta/gdb-uninstalled-guile.in38
1 files changed, 38 insertions, 0 deletions
diff --git a/meta/gdb-uninstalled-guile.in b/meta/gdb-uninstalled-guile.in
new file mode 100644
index 000000000..457ab2bd7
--- /dev/null
+++ b/meta/gdb-uninstalled-guile.in
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Copyright (C) 2002, 2006, 2008 Free Software Foundation
+#
+# This file is part of GUILE.
+#
+# GUILE is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2, or
+# (at your option) any later version.
+#
+# GUILE is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with GUILE; see the file COPYING. If not, write
+# to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
+# Floor, Boston, MA 02110-1301 USA
+
+# Commentary:
+
+# Usage: gdb-uninstalled-guile [ARGS]
+#
+# This script runs Guile from the build tree under GDB. See
+# ./guile for more information.
+#
+# In addition to running ./gdb-uninstalled-guile, sometimes it's useful to
+# run e.g. ./check-guile -i meta/gdb-uninstalled-guile foo.test.
+
+# Code:
+
+set -e
+# env (set by configure)
+top_builddir="@top_builddir_absolute@"
+exec ${top_builddir}/uninstalled-env libtool --mode=execute \
+ gdb --args ${top_builddir}/libguile/guile "$@"